This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 20483 - 2 probs: routed -t causes seg fault. routed fails to learn routes.
2 probs: routed -t causes seg fault. routed fails to learn routes.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: routed (Show other bugs)
6.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-07 14:16 EST by Andy Vrabel
Modified: 2007-03-26 23:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 13:43:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Vrabel 2000-11-07 14:16:14 EST
I'm having 2 problems with routed. The first is that it fails to learn
routes from my router. I have
routed configured to listen only (routed -s) but when I display the routing
table via netstat -nr,  I don't see anything other than native routes. My
network is such that I have a tkr NIC which uses a default gw, and 2 other
ethernet NICs in a test network attached to different routers. If I issue a
ripquery command to the routers, I can see the routes that the router is
broadcasting but they never get added to my routing table.
The other problem that I'm seeing is that if I issue routed with the -t
option, I always get a segmentation fault. I was hoping that I could use
this option to debug my first problem but alas, no such luck.
Comment 1 Glen Foster 2001-08-01 13:43:07 EDT
Closing at customer's request.
Comment 2 prago 2001-08-01 13:56:50 EDT
Per originator, problem still exists, but no longer using DHCP.

Note You need to log in before you can comment on or make changes to this bug.